Name:		git-review
Version:	1.23
Release:	%mkrel 3
Summary:	A git helper for integration with Gerrit

Group:		Development/Tools
License:	ASL 2.0
URL:		https://github.com/openstack-infra/git-review
Source0:	https://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz
Source1:	git-review.conf

BuildArch:	noarch
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
Requires:	git

%description
An extension for source control system git that creates and manages review
requests in the patch management system Gerrit. It replaces the rfc.sh script.

%prep
%setup -q

%build
%{__python} setup.py build
sed -i 's/\r//' LICENSE

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

install -d %{buildroot}/%{_sysconfdir}/git-review/ 
install -m 0644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/git-review/ 

%files
%doc AUTHORS LICENSE README.rst
%{_bindir}/git-review
%{_mandir}/man1/git-review.1.xz
%{python_sitelib}/git_review-%{version}-*.egg-info/
%dir %{_sysconfdir}/git-review/
%config(noreplace) %{_sysconfdir}/git-review/git-review.conf



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.23-3.mga4
+ Revision: 542599
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 1.23-2.mga4
+ Revision: 497760
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 1.23-1.mga4
+ Revision: 471716
- update to 1.23

* Mon May 27 2013 philippem <philippem> 1.21-1.mga4
+ Revision: 428933
- imported package git-review

